edu.csus.ecs.pc2.api

## Class ContestTestFrame.ConfigUpdateListener

- java.lang.Object
- - edu.csus.ecs.pc2.api.ContestTestFrame.ConfigUpdateListener

- All Implemented Interfaces:
    IConfigurationUpdateListener
  Enclosing class:
    ContestTestFrame

      protected class ContestTestFrame.ConfigUpdateListener
      extends Object
      implements IConfigurationUpdateListener

  Listener for IConfigurationUpdateListener.
  Version:
    $Id$
  Author:
    pc2@ecs.csus.edu

- - ### Constructor Summary

    Constructors
    Modifier | Constructor and Description
    --- | ---
    `protected` | `ContestTestFrame.ConfigUpdateListener()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `configurationItemAdded(ContestEvent contestEvent)` Invoked when a new contest configuration item has been added to the contest.
    `void` | `configurationItemRemoved(ContestEvent contestEvent)` Invoked when an existing contest configuration item has been removed from the contest configuration.
    `void` | `configurationItemUpdated(ContestEvent contestEvent)` Invoked when an existing contest configuration item has been updated (modified in some way).

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### ContestTestFrame.ConfigUpdateListener

          protected ContestTestFrame.ConfigUpdateListener()

  - ### Method Detail

    - #### configurationItemAdded

          public void configurationItemAdded(ContestEvent contestEvent)

      Description copied from interface: `IConfigurationUpdateListener`
      Invoked when a new contest configuration item has been added to the contest. For example, the Contest Administrator may have added a Client Account, a new Language, a new Problem, etc.
      Specified by:
        `configurationItemAdded` in interface `IConfigurationUpdateListener`
      Parameters:
        `contestEvent` - A `ContestEvent` object giving details about the configuration item that has been added to the contest.
      See Also:
        `ContestEvent`

    - #### configurationItemUpdated

          public void configurationItemUpdated(ContestEvent contestEvent)

      Description copied from interface: `IConfigurationUpdateListener`
      Invoked when an existing contest configuration item has been updated (modified in some way). For example, the Contest Administrator may have modified the parameters of a Client Account, the name of a contest Language or Problem, etc.
      Specified by:
        `configurationItemUpdated` in interface `IConfigurationUpdateListener`
      Parameters:
        `contestEvent` - A `ContestEvent` object giving details about the configuration item that has been modified.
      See Also:
        `ContestEvent`

    - #### configurationItemRemoved

          public void configurationItemRemoved(ContestEvent contestEvent)

      Description copied from interface: `IConfigurationUpdateListener`
      Invoked when an existing contest configuration item has been removed from the contest configuration. For example, the Contest Administrator may have deleted a Client Account, a contest Language or Problem, etc.
      Specified by:
        `configurationItemRemoved` in interface `IConfigurationUpdateListener`
      Parameters:
        `contestEvent` - A `ContestEvent` object giving details about the configuration item that has been removed from the contest.
      See Also:
        `ContestEvent`